D2xxManager.DriverParameters

com.ftdi.j2xx

## Class D2xxManager.DriverParameters

- java.lang.Object
- - com.ftdi.j2xx.D2xxManager.DriverParameters

- Enclosing class:
    D2xxManager

      public static class D2xxManager.DriverParameters
      extends java.lang.Object

  A class for read() parameters. Use set/get function to adjust the memory & timeout parameters for opened device.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `D2xxManager.DriverParameters()` DriverParameters constructor Buffer Size : 16k Max Transfer Size : 16k Number Buffer : 16 Read Timeout : 5000 ms

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBufferNumber()` This method will return Buffer number for Rx in user space application.
    `int` | `getMaxBufferSize()` This method will return Rx buffer size of user space application.
    `int` | `getMaxTransferSize()` This method will return Max Transfer size for Rx in the user space application.
    `int` | `getReadTimeout()` This method will return timeout values to be used for read operations.
    `boolean` | `setBufferNumber(int number)` This method will set the Buffer number for Rx in the user space application.
    `boolean` | `setMaxBufferSize(int size)` This method will set the Max Buffer size to process Rx data in the user space application.
    `boolean` | `setMaxTransferSize(int size)` This method will set the Max Transfer size to process Rx data in the user space application.
    `boolean` | `setReadTimeout(int timeout)` This method specifies the timeout values to be used for read operations.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### D2xxManager.DriverParameters

          public D2xxManager.DriverParameters()

      DriverParameters constructor Buffer Size : 16k Max Transfer Size : 16k Number Buffer : 16 Read Timeout : 5000 ms

  - ### Method Detail

    - #### setMaxBufferSize

          public boolean setMaxBufferSize(int size)

      This method will set the Max Buffer size to process Rx data in the user space application. The default is 16k , Max is 256K , Min is 64.
      Parameters:
        `size` - Specifies the value to MaxBufferSize
      Returns:
        If success , return true.

    - #### getMaxBufferSize

          public int getMaxBufferSize()

      This method will return Rx buffer size of user space application.
      Returns:
        The current size of Rx buffer.

    - #### setMaxTransferSize

          public boolean setMaxTransferSize(int size)

      This method will set the Max Transfer size to process Rx data in the user space application. The default is 16K , Max is 256K , Min is 64.
      Parameters:
        `size` - Specifies the value of Rx Max Transfer Size
      Returns:
        If success , return true.

    - #### getMaxTransferSize

          public int getMaxTransferSize()

      This method will return Max Transfer size for Rx in the user space application.
      Returns:
        The current size of Rx Max Transfer.

    - #### setBufferNumber

          public boolean setBufferNumber(int number)

      This method will set the Buffer number for Rx in the user space application. The default is 16 , Max is 16 , Min 2.
      Parameters:
        `number` - Specifies the value to Buffer Number
      Returns:
        If success , return true.

    - #### getBufferNumber

          public int getBufferNumber()

      This method will return Buffer number for Rx in user space application.
      Returns:
        The current number of Rx buffer.

    - #### setReadTimeout

          public boolean setReadTimeout(int timeout)

      This method specifies the timeout values to be used for read operations. Default timeout values are 0 which is interpreted as infinite; in this case read calls will block until all of the requested data has been transferred.
      Parameters:
        `readTimeout` - The value in ms to apply to read operations. Default is 5000 mS
      Returns:
        If success , return true.

    - #### getReadTimeout

          public int getReadTimeout()

      This method will return timeout values to be used for read operations.
      Returns:
        The current value (ms) of read timeout.

About FTDI | FTDI Licence Terms